Package org.apache.felix.http.jakartawrappers

# Class CookieWrapper

java.lang.Object
jakarta.servlet.http.Cookie
org.apache.felix.http.jakartawrappers.CookieWrapper

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public class CookieWrapper extends jakarta.servlet.http.Cookie
Cookie

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CookieWrapper(javax.servlet.http.Cookie c)`
Create new cookie

## Method Summary

Modifier and Type
Method
Description
`String`
`getComment()`
`String`
`getDomain()`
`int`
`getMaxAge()`
`String`
`getName()`
`String`
`getPath()`
`boolean`
`getSecure()`
`String`
`getValue()`
`int`
`getVersion()`
`boolean`
`isHttpOnly()`
`void`
`setComment(String purpose)`
`void`
`setDomain(String domain)`
`void`
`setHttpOnly(boolean isHttpOnly)`
`void`
`setMaxAge(int expiry)`
`void`
`setPath(String uri)`
`void`
`setSecure(boolean flag)`
`void`
`setValue(String value)`
`void`
`setVersion(int v)`
`static jakarta.servlet.http.Cookie[]`
`wrap(javax.servlet.http.Cookie[] array)`
Wrap an array of cookies

### Methods inherited from class jakarta.servlet.http.Cookie

`clone, equals, getAttribute, getAttributes, hashCode, setAttribute, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CookieWrapper

public CookieWrapper(@NotNull javax.servlet.http.Cookie c)
Create new cookie

Parameters:
  `c` - Wrapped cookie

## Method Details

### wrap

public static jakarta.servlet.http.Cookie[] wrap(javax.servlet.http.Cookie[] array)
Wrap an array of cookies

Parameters:
  `array` - The array
Returns:
  The result

### getName

public String getName()

Overrides:
  `getName` in class `jakarta.servlet.http.Cookie`

### getValue

public String getValue()

Overrides:
  `getValue` in class `jakarta.servlet.http.Cookie`

### setValue

public void setValue(String value)

Overrides:
  `setValue` in class `jakarta.servlet.http.Cookie`

### setComment

public void setComment(String purpose)

Overrides:
  `setComment` in class `jakarta.servlet.http.Cookie`

### getComment

public String getComment()

Overrides:
  `getComment` in class `jakarta.servlet.http.Cookie`

### setDomain

public void setDomain(String domain)

Overrides:
  `setDomain` in class `jakarta.servlet.http.Cookie`

### getDomain

public String getDomain()

Overrides:
  `getDomain` in class `jakarta.servlet.http.Cookie`

### setMaxAge

public void setMaxAge(int expiry)

Overrides:
  `setMaxAge` in class `jakarta.servlet.http.Cookie`

### getMaxAge

public int getMaxAge()

Overrides:
  `getMaxAge` in class `jakarta.servlet.http.Cookie`

### setPath

public void setPath(String uri)

Overrides:
  `setPath` in class `jakarta.servlet.http.Cookie`

### getPath

public String getPath()

Overrides:
  `getPath` in class `jakarta.servlet.http.Cookie`

### setSecure

public void setSecure(boolean flag)

Overrides:
  `setSecure` in class `jakarta.servlet.http.Cookie`

### getSecure

public boolean getSecure()

Overrides:
  `getSecure` in class `jakarta.servlet.http.Cookie`

### setVersion

public void setVersion(int v)

Overrides:
  `setVersion` in class `jakarta.servlet.http.Cookie`

### getVersion

public int getVersion()

Overrides:
  `getVersion` in class `jakarta.servlet.http.Cookie`

### setHttpOnly

public void setHttpOnly(boolean isHttpOnly)

Overrides:
  `setHttpOnly` in class `jakarta.servlet.http.Cookie`

### isHttpOnly

public boolean isHttpOnly()

Overrides:
  `isHttpOnly` in class `jakarta.servlet.http.Cookie`